/**
 * A collection of entity types for use with the `ServiceNowConnection.executeApiRequest` function when calling the ServiceNow {@link https://docs.servicenow.com/bundle/utah-api-reference/page/integrate/inbound-rest/concept/c_TableAPI.html | Table API}.
 */
export declare namespace ServiceNowEntities {
    /**
     * ServiceNow core entity types for use with the `ServiceNowConnection.executeApiRequest` function when calling the ServiceNow {@link https://docs.servicenow.com/bundle/utah-api-reference/page/integrate/inbound-rest/concept/c_TableAPI.html | Table API}.
     */
    namespace Core {
        /**
         * Application File entity from the `sys_metadata` table.
         *
         * @group Types
         */
        interface ApplicationFile extends DescendentEntity {
            sys_name?: unknown;
            sys_package?: string | Link;
            sys_policy?: unknown;
            sys_scope?: string | Link;
            sys_update_name?: unknown;
        }
        /**
         * Attachment entity from the `sys_attachment` table.
         *
         * @group Types
         */
        interface Attachment extends BaseEntity {
            average_image_color?: unknown;
            chunk_size_bytes?: unknown;
            compressed?: unknown;
            content_type?: unknown;
            download_link?: unknown;
            encryption_context?: unknown;
            file_name?: unknown;
            hash?: unknown;
            image_height?: unknown;
            image_width?: unknown;
            size_bytes?: unknown;
            size_compressed?: unknown;
            state?: unknown;
            table_name?: unknown;
            table_sys_id?: unknown;
        }
        /**
         * Defines fields common to all ServiceNow table entities.
         *
         * @group Types
         */
        interface BaseEntity {
            sys_created_by?: unknown;
            sys_created_on?: unknown;
            sys_id?: unknown;
            sys_mod_count?: unknown;
            sys_tags?: unknown;
            sys_updated_by?: unknown;
            sys_updated_on?: unknown;
        }
        /**
         * Change Model entity from the `chg_model` table.
         *
         * @group Types
         */
        interface ChangeModel extends StateTransitionModel {
            available_in_ui?: unknown;
            color?: unknown;
            default_change_model?: unknown;
            description?: unknown;
            implementation_states?: string | Link;
            record_preset?: unknown;
        }
        /**
         * Change Request entity from the `change_request` table.
         *
         * @group Types
         */
        interface ChangeRequest extends Task {
            backout_plan?: unknown;
            cab_date_time?: unknown;
            cab_date?: unknown;
            cab_delegate?: string | Link;
            cab_recommendation?: unknown;
            cab_required?: unknown;
            category?: unknown;
            change_plan?: unknown;
            chg_model?: string | Link;
            close_code?: unknown;
            conflict_last_run?: unknown;
            conflict_status?: unknown;
            end_date?: unknown;
            implementation_plan?: unknown;
            justification?: unknown;
            on_hold_reason?: unknown;
            on_hold_task?: unknown;
            on_hold?: unknown;
            outside_maintenance_schedule?: unknown;
            phase_state?: unknown;
            phase?: unknown;
            production_system?: unknown;
            reason?: unknown;
            requested_by_date?: unknown;
            requested_by?: string | Link;
            review_comments?: unknown;
            review_date?: unknown;
            review_status?: unknown;
            risk_impact_analysis?: unknown;
            risk?: unknown;
            scope?: unknown;
            start_date?: unknown;
            std_change_producer_version?: string | Link;
            test_plan?: unknown;
            type?: unknown;
            unauthorized?: unknown;
        }
        /**
         * Company entity from the `core_company` table.
         *
         * @group Types
         */
        interface Company extends DescendentEntity {
            apple_icon?: unknown;
            banner_image?: unknown;
            banner_image_light?: unknown;
            banner_text?: unknown;
            city?: unknown;
            contact?: string | Link;
            coordinates_retrieved_on?: unknown;
            country?: unknown;
            customer?: unknown;
            discount?: unknown;
            fax_phone?: unknown;
            fiscal_year?: unknown;
            lat_long_error?: unknown;
            latitude?: unknown;
            longitude?: unknown;
            manufacturer?: unknown;
            market_cap?: unknown;
            name?: unknown;
            notes?: unknown;
            num_employees?: unknown;
            parent?: string | Link;
            phone?: unknown;
            primary?: unknown;
            profits?: unknown;
            publicly_traded?: unknown;
            rank_tier?: unknown;
            revenue_per_year?: unknown;
            state?: unknown;
            stock_price?: unknown;
            stock_symbol?: unknown;
            street?: unknown;
            theme?: string | Link;
            vendor_manager?: unknown;
            vendor_type?: unknown;
            vendor?: unknown;
            website?: unknown;
            zip?: unknown;
        }
        /**
         * Consumer entity from the `customer_contact` table.
         *
         * @group Types
         */
        interface Contact extends User {
            account?: string | Link;
            correlation_id?: unknown;
            fso_date_of_birth?: unknown;
            fso_equity_percentage?: unknown;
            fso_nationality?: unknown;
            hr_integration_source?: string | Link;
            transaction_log?: unknown;
        }
        /**
         * Defines a descendent table entity.
         *
         * @group Types
         */
        interface DescendentEntity extends BaseEntity {
            sys_class_name?: unknown;
        }
        /**
         * Incident entity from the `incident` table.
         *
         * @group Types
         */
        interface Incident extends Task {
            business_impact?: unknown;
            business_stc?: unknown;
            calendar_stc?: unknown;
            caller_id?: string | Link;
            category?: unknown;
            cause?: unknown;
            caused_by?: string | Link;
            child_incidents?: unknown;
            close_code?: unknown;
            hold_reason?: unknown;
            incident_state?: unknown;
            notify?: unknown;
            origin_id?: unknown;
            origin_table?: unknown;
            parent_incident?: string | Link;
            problem_id?: string | Link;
            reopened_by?: string | Link;
            reopened_time?: unknown;
            reopen_count?: unknown;
            resolved_at?: unknown;
            resolved_by?: string | Link;
            rfc?: string | Link;
            severity?: unknown;
            subcategory?: unknown;
        }
        /**
         * Reference field linking to another entity.
         *
         * @group Types
         */
        type Link = LinkWithValue | LinkWithDisplayValue;
        /**
         * Reference field linking to another entity when the [`sysparm_display_value`](https://docs.servicenow.com/bundle/utah-api-reference/page/integrate/inbound-rest/concept/c_TableAPI.html#table-GET__rest_api_sysparm_display_value_param) Table API query parameter is set to `true`.
         *
         * @group Types
         */
        interface LinkWithDisplayValue {
            /** Display value of the related entity. */
            display_value: string;
            /** REST API URL of the related entity. */
            link: string;
        }
        /**
         * Reference field linking to another entity.
         *
         * @group Types
         */
        interface LinkWithValue {
            /** REST API URL of the related entity. */
            link: string;
            /** Unique identifier or `sys_id` of the related entity. */
            value: string;
        }
        /**
         * Problem entity from the `problem` table.
         *
         * @group Types
         */
        interface Problem extends Task {
            category?: unknown;
            cause_notes?: unknown;
            confirmed_at?: unknown;
            confirmed_by?: string | Link;
            duplicate_of?: string | Link;
            first_reported_by_task?: string | Link;
            fix_at?: unknown;
            fix_by?: string | Link;
            fix_communicated_at?: unknown;
            fix_communicated_by?: string | Link;
            fix_notes?: unknown;
            known_error?: unknown;
            major_problem?: unknown;
            problem_state?: unknown;
            related_incidents?: unknown;
            reopened_at?: unknown;
            reopened_by?: string | Link;
            reopen_count?: unknown;
            resolution_code?: unknown;
            resolved_at?: unknown;
            resolved_by?: string | Link;
            review_outcome?: unknown;
            rfc?: string | Link;
            subcategory?: unknown;
            workaround?: unknown;
            workaround_applied?: unknown;
            workaround_communicated_at?: unknown;
            workaround_communicated_by?: string | Link;
        }
        /**
         * Problem Task entity from the `problem_task` table.
         *
         * @group Types
         */
        interface ProblemTask extends Task {
            cause_code?: unknown;
            cause_notes?: unknown;
            close_code?: unknown;
            fix_notes?: unknown;
            other_reason?: unknown;
            problem?: string | Link;
            problem_task_type?: unknown;
            reopened_at?: unknown;
            reopened_by?: string | Link;
            reopen_count?: unknown;
            started_at?: unknown;
            started_by?: string | Link;
            vendor?: string | Link;
            workaround?: unknown;
        }
        /**
         * Sold Product entity from the `sn_install_base_sold_product` table.
         *
         * @group Types
         */
        interface SoldProduct extends DescendentEntity {
            account?: string | Link;
            additional_consumers?: unknown;
            additional_users?: unknown;
            consumer?: string | Link;
            consumer_profile?: string | Link;
            contact?: string | Link;
            household?: string | Link;
            name?: unknown;
            number?: unknown;
            parent_sold_product?: string | Link;
            prd_offering?: string | Link;
            product?: string | Link;
            service_organization?: string | Link;
            state?: unknown;
        }
        /**
         * State Flow entity from the `sf_state_flow` table.
         *
         * @group Types
         */
        interface StateFlow extends ApplicationFile {
            active?: unknown;
            automatic_condition?: unknown;
            automatic_roles?: string | Link;
            automatic_script?: unknown;
            automatic_string?: unknown;
            business_rule?: string | Link;
            change_client_script?: string | Link;
            client_script?: string | Link;
            comment?: unknown;
            ending_state?: string | Link;
            end_text?: unknown;
            event?: string | Link;
            event_rule?: string | Link;
            mandatory_fields?: unknown;
            manual_condition?: unknown;
            manual_roles?: unknown;
            manual_script?: unknown;
            manual_string?: unknown;
            name?: unknown;
            not_mandatory?: unknown;
            not_read_only?: unknown;
            not_visible?: unknown;
            number?: unknown;
            override?: string | Link;
            read_only_fields?: unknown;
            roles?: unknown;
            starting_state?: string | Link;
            start_text?: unknown;
            table?: unknown;
            translated_ending_state?: unknown;
            translated_starting_state?: unknown;
            ui_action?: unknown;
            visible_fields?: unknown;
            work_notes?: unknown;
            work_notes_rule?: string | Link;
        }
        /**
         * State Transition Model entity from the `sttrm_model` table.
         *
         * @group Types
         */
        interface StateTransitionModel extends ApplicationFile {
            active?: unknown;
            advanced_security?: unknown;
            name?: unknown;
            read_roles?: unknown;
            state_field?: unknown;
            table_name?: unknown;
            write_roles?: unknown;
        }
        /**
         * User entity from the `task` table.
         *
         * @group Types
         */
        interface Task extends DescendentEntity {
            action_status?: unknown;
            active?: unknown;
            activity_due?: unknown;
            additional_assignee_list?: unknown;
            approval_history?: unknown;
            approval_set?: unknown;
            approval?: unknown;
            assigned_to?: string | Link;
            assignment_group?: string | Link;
            business_duration?: unknown;
            business_service?: string | Link;
            calendar_duration?: unknown;
            close_notes?: unknown;
            closed_at?: unknown;
            closed_by?: string | Link;
            cmdb_ci?: string | Link;
            comments_and_work_notes?: unknown;
            comments?: unknown;
            company?: string | Link;
            contact_type?: unknown;
            contract?: string | Link;
            correlation_display?: unknown;
            correlation_id?: unknown;
            delivery_plan?: string | Link;
            delivery_task?: string | Link;
            description?: unknown;
            due_date?: unknown;
            escalation?: unknown;
            expected_start?: unknown;
            follow_up?: unknown;
            group_list?: unknown;
            impact?: unknown;
            knowledge?: unknown;
            location?: string | Link;
            made_sla?: unknown;
            needs_attention?: unknown;
            number?: unknown;
            opened_at?: unknown;
            opened_by?: string | Link;
            order?: unknown;
            parent?: string | Link;
            priority?: unknown;
            reassignment_count?: unknown;
            route_reason?: unknown;
            service_offering?: string | Link;
            short_description?: unknown;
            skills?: unknown;
            sla_due?: unknown;
            sn_esign_document?: string | Link;
            sn_esign_esignature_configuration?: string | Link;
            state?: unknown;
            sys_domain_path?: unknown;
            sys_domain?: string | Link;
            task_effective_number?: unknown;
            time_worked?: unknown;
            universal_request?: string | Link;
            upon_approval?: unknown;
            upon_reject?: unknown;
            urgency?: unknown;
            user_input?: unknown;
            watch_list?: unknown;
            work_end?: unknown;
            work_notes_list?: unknown;
            work_notes?: unknown;
            work_start?: unknown;
        }
        /**
         * Task Activity entity from the `task_activity` table.
         *
         * @group Types
         */
        interface TaskActivity extends DescendentEntity {
            activity_catalog?: unknown;
            delivery_option?: unknown;
            end?: unknown;
            from_user?: string | Link;
            location?: string | Link;
            message?: unknown;
            number?: unknown;
            reminder?: unknown;
            start?: unknown;
            state?: unknown;
            subject?: unknown;
            task?: string | Link;
            template?: string | Link;
            to_users?: unknown;
            type?: unknown;
        }
        /**
         * User entity from the `sys_user` table.
         *
         * @group Types
         */
        interface User extends DescendentEntity {
            active?: unknown;
            agent_status?: unknown;
            avatar?: unknown;
            building?: string | Link;
            calendar_integration?: unknown;
            city?: unknown;
            company?: string | Link;
            cost_center?: string | Link;
            country?: unknown;
            date_format?: unknown;
            default_perspective?: string | Link;
            department?: string | Link;
            email?: unknown;
            employee_number?: unknown;
            enable_multifactor_authn?: unknown;
            failed_attempts?: unknown;
            first_name?: unknown;
            gender?: unknown;
            geolocation_tracked?: unknown;
            home_phone?: unknown;
            internal_integration_user?: unknown;
            introduction?: unknown;
            last_login_time?: unknown;
            last_login?: unknown;
            last_name?: unknown;
            last_position_update?: unknown;
            latitude?: unknown;
            ldap_server?: string | Link;
            location?: string | Link;
            locked_out?: unknown;
            longitude?: unknown;
            manager?: string | Link;
            middle_name?: unknown;
            mobile_phone?: unknown;
            name?: unknown;
            notification?: unknown;
            on_schedule?: unknown;
            password_needs_reset?: unknown;
            phone?: unknown;
            photo?: unknown;
            preferred_language?: unknown;
            roles?: unknown;
            schedule?: string | Link;
            source?: unknown;
            state?: unknown;
            street?: unknown;
            sys_domain_path?: unknown;
            sys_domain?: string | Link;
            time_format?: unknown;
            time_sheet_policy?: string | Link;
            time_zone?: unknown;
            title?: unknown;
            user_name?: unknown;
            user_password?: unknown;
            vip?: unknown;
            web_service_access_only?: unknown;
            zip?: unknown;
        }
    }
    /**
     * Entity types from the ServiceNow {@link https://www.servicenow.com/products/customer-service-management.html | Customer Service Management} product for use with the `ServiceNowConnection.executeApiRequest` function when calling the ServiceNow {@link https://docs.servicenow.com/bundle/utah-api-reference/page/integrate/inbound-rest/concept/c_TableAPI.html | Table API}.
     */
    namespace CSM {
        /**
         * Account entity from the `customer_account` table.
         *
         * @group Types
         */
        interface Account extends Core.Company {
            account_code?: unknown;
            account_parent?: string | Core.Link;
            account_path?: unknown;
            active_escalation?: string | Core.Link;
            assumed_name?: unknown;
            business_structure?: unknown;
            email?: unknown;
            fso_business_identifier_code?: unknown;
            fso_business_type?: unknown;
            fso_country_code?: unknown;
            fso_country_of_incorporation?: unknown;
            fso_date_of_incorporation?: unknown;
            fso_dealer_high_value_goods?: unknown;
            fso_designated_non_financial_business?: unknown;
            fso_doing_business_as?: unknown;
            fso_entity_type?: unknown;
            fso_foreign_financial_institution?: unknown;
            fso_industry?: unknown;
            fso_previous_names?: unknown;
            fso_primary_business_activity?: unknown;
            fso_products_sold_country?: unknown;
            fso_source_of_funds?: unknown;
            fso_state?: unknown;
            identification_number?: unknown;
            incorporated_on?: unknown;
            industry?: unknown;
            legal_entity_name?: unknown;
            minority_ownership_status?: unknown;
            number?: unknown;
            partner?: unknown;
            primary_contact?: string | Core.Link;
            registration_code?: unknown;
            rural_based_status?: unknown;
            tax_id?: unknown;
            trademark?: unknown;
            tribal_affiliation_status?: unknown;
            women_ownership_status?: unknown;
        }
        /**
         * Account Relationship entity from the `account_relationship` table.
         *
         * @group Types
         */
        interface AccountRelationship extends Core.BaseEntity {
            from_company?: string | Core.Link;
            relationship_label?: unknown;
            relationship_type?: string | Core.Link;
            reverse_relationship?: unknown;
            reverse_relationship_label?: unknown;
            to_company?: string | Core.Link;
        }
        /**
         * Account Relationship Access entity from the `sn_customerservice_account_relationship_access` table.
         *
         * @group Types
         */
        interface AccountRelationshipAccess extends Core.BaseEntity {
            admin?: unknown;
            read?: unknown;
            relationship_type?: string | Core.Link;
            role?: string | Core.Link;
            write?: unknown;
        }
        /**
         * Account Relationship Type entity from the `sn_customerservice_account_relationship_type` table.
         *
         * @group Types
         */
        interface AccountRelationshipType extends Core.BaseEntity {
            active?: unknown;
            from?: unknown;
            relationship_type?: unknown;
            role_definition_left_to_right?: unknown;
            role_definition_right_to_left?: unknown;
            to?: unknown;
        }
        /**
         * Account Team Member entity from the `sn_customerservice_team_member` table.
         *
         * @group Types
         */
        interface AccountTeamMember extends Core.BaseEntity {
            account?: string | Core.Link;
            responsibility?: string | Core.Link;
            user?: string | Core.Link;
        }
        /**
         * Address Type entity from the `cmn_location_type` table.
         *
         * @group Types
         */
        interface AddressType extends Core.BaseEntity {
            name?: unknown;
            order?: unknown;
        }
        /**
         * Appointment entity from the `sn_customerservice_appointment` table.
         *
         * @group Types
         */
        interface Appointment extends Core.TaskActivity {
            appointment_location?: unknown;
        }
        /**
         * Case entity from the `sn_customerservice_case` table.
         *
         * @group Types
         */
        interface Case extends Core.Task {
            account?: string | Core.Link;
            active_account_escalation?: string | Core.Link;
            active_escalation?: string | Core.Link;
            asset?: string | Core.Link;
            assigned_on?: unknown;
            auto_close?: unknown;
            auto_created_case?: unknown;
            business_impact?: unknown;
            case_action_summary?: string | Core.Link;
            case_report?: string | Core.Link;
            case?: unknown;
            category?: unknown;
            cause?: unknown;
            caused_by?: string | Core.Link;
            change?: string | Core.Link;
            child_case_creation_progress?: unknown;
            consumer_profile?: string | Core.Link;
            consumer?: string | Core.Link;
            contact_local_time?: unknown;
            contact_time_zone?: unknown;
            contact?: string | Core.Link;
            contributor_groups?: unknown;
            contributor_users?: unknown;
            entitlement?: string | Core.Link;
            first_response_time?: unknown;
            follow_the_sun?: unknown;
            household?: string | Core.Link;
            incident?: string | Core.Link;
            initiated_as_request?: unknown;
            internal_contact?: string | Core.Link;
            internal_user?: unknown;
            major_case_state?: unknown;
            notes_to_comments?: unknown;
            notify?: unknown;
            partner_contact?: string | Core.Link;
            partner?: string | Core.Link;
            post_case_review?: string | Core.Link;
            proactive?: unknown;
            probable_cause?: unknown;
            problem?: string | Core.Link;
            product?: string | Core.Link;
            recipient_list?: string | Core.Link;
            related_party_consumers?: unknown;
            related_party_users?: unknown;
            requesting_service_organization?: string | Core.Link;
            resolution_code?: unknown;
            resolved_at?: unknown;
            resolved_by?: string | Core.Link;
            service_organization?: string | Core.Link;
            service?: string | Core.Link;
            sn_app_cs_social_social_profile?: string | Core.Link;
            sold_product?: string | Core.Link;
            stage?: unknown;
            subcategory?: unknown;
            support_manager?: string | Core.Link;
            sync_driver?: unknown;
        }
        /**
         * Case Report entity from the `sn_customerservice_case_report` table.
         *
         * @group Types
         */
        interface CaseReport extends Core.BaseEntity {
            agent_reassignment_count?: unknown;
            case?: string | Core.Link;
            customer_satisfaction_score?: unknown;
            is_fcr?: unknown;
            is_skipped_by_prediction?: unknown;
            number?: unknown;
            reopen_count?: unknown;
            time_to_resolve?: unknown;
        }
        /**
         * Consumer entity from the `csm_consumer` table.
         *
         * @group Types
         */
        interface Consumer extends Core.BaseEntity {
            active?: unknown;
            business_phone?: unknown;
            city?: unknown;
            country?: unknown;
            date_format?: unknown;
            email?: unknown;
            fax?: unknown;
            first_name?: unknown;
            fso_country_code?: unknown;
            fso_date_of_birth?: unknown;
            fso_income_source?: unknown;
            fso_market_segment?: unknown;
            fso_nationality?: unknown;
            fso_risk_tolerance?: unknown;
            fso_suitability?: unknown;
            gender?: unknown;
            home_phone?: unknown;
            household?: string | Core.Link;
            last_name?: unknown;
            middle_name?: unknown;
            mobile_phone?: unknown;
            name?: unknown;
            nationality?: unknown;
            notes?: unknown;
            notification?: unknown;
            number?: unknown;
            photo?: unknown;
            preferred_language?: unknown;
            prefix?: unknown;
            primary?: unknown;
            state?: unknown;
            street?: unknown;
            suffix?: unknown;
            sys_domain?: string | Core.Link;
            time_format?: unknown;
            time_zone?: unknown;
            title?: unknown;
            user?: string | Core.Link;
            zip?: unknown;
        }
        /**
         * Consumer User entity from the `csm_consumer_user` table.
         *
         * @group Types
         */
        interface ConsumerUser extends Core.User {
        }
        /**
         * Contact entity from the `customer_contact` table.
         *
         * @group Types
         */
        interface Contact extends Core.User {
            account?: string | Core.Link;
            fso_date_of_birth?: unknown;
            fso_equity_percentage?: unknown;
            fso_nationality?: unknown;
        }
        /**
         * Contact Relationship entity from the `sn_customerservice_contact_relationship` table.
         *
         * @group Types
         */
        interface ContactRelationship extends Core.BaseEntity {
            company?: string | Core.Link;
            contact?: string | Core.Link;
            responsibility?: string | Core.Link;
        }
        /**
         * Customer Interaction entity from the `sn_customerservice_customer_interaction` table.
         *
         * @group Types
         */
        interface CustomerInteraction extends Core.BaseEntity {
            account?: string | Core.Link;
            category?: unknown;
            channel?: unknown;
            consumer?: string | Core.Link;
            contact?: string | Core.Link;
            email?: unknown;
            first_name?: unknown;
            last_name?: unknown;
            middle_name?: unknown;
            name?: unknown;
            product?: string | Core.Link;
            short_description?: unknown;
        }
        /**
         * Customer Service Case Flow entity from the `sn_customerservice_sf_case` table.
         *
         * @group Types
         */
        interface CustomerServiceCaseFlow extends Core.StateFlow {
        }
        /**
         * Entitlement entity from the `service_entitlement` table.
         *
         * @group Types
         */
        interface Entitlement extends Core.BaseEntity {
            account?: string | Core.Link;
            active?: unknown;
            asset?: string | Core.Link;
            business_hour?: string | Core.Link;
            channel?: unknown;
            consumer?: string | Core.Link;
            contract?: string | Core.Link;
            end_date?: unknown;
            entitlement_name?: unknown;
            entitlement_process?: string | Core.Link;
            household?: string | Core.Link;
            install_base_item?: string | Core.Link;
            per_unit?: unknown;
            product?: string | Core.Link;
            remaining_units?: unknown;
            sold_product?: string | Core.Link;
            start_date?: unknown;
            sys_domain?: unknown;
            total_units?: unknown;
            unit?: unknown;
        }
        /**
         * Escalation entity from the `sn_customerservice_escalation` table.
         *
         * @group Types
         */
        interface Escalation extends Core.Task {
            add_account_team_members?: unknown;
            approved_by?: string | Core.Link;
            declined_by?: string | Core.Link;
            de_escalated_by?: string | Core.Link;
            de_escalation_justification?: unknown;
            escalation_justification?: unknown;
            escalation_manager?: string | Core.Link;
            escalation_severity?: string | Core.Link;
            reason?: unknown;
            requested_by?: string | Core.Link;
            request_source?: unknown;
            source_record?: unknown;
            source_table?: unknown;
            trend?: unknown;
            type?: string | Core.Link;
        }
        /**
         * Escalation Severity entity from the `sn_customerservice_escalation` table.
         *
         * @group Types
         */
        interface EscalationSeverity extends Core.ApplicationFile {
            name?: unknown;
            style?: unknown;
            sys_domain?: unknown;
        }
        /**
         * Escalation Template entity from the `sn_customerservice_escalation_template` table.
         *
         * @group Types
         */
        interface EscalationTemplate extends Core.ApplicationFile {
            add_manager?: unknown;
            approval_group?: string | Core.Link;
            esc_approval_workflow?: string | Core.Link;
            name?: unknown;
            skip_approval?: unknown;
            sys_domain?: unknown;
            type?: unknown;
            use_default_approval?: unknown;
            watch_list?: unknown;
        }
        /**
         * Household entity from the `csm_household` table.
         *
         * @group Types
         */
        interface Household extends Core.BaseEntity {
            city?: unknown;
            country?: unknown;
            head?: string | Core.Link;
            household_name?: unknown;
            notes?: unknown;
            number?: unknown;
            state?: unknown;
            street?: unknown;
            sys_domain?: unknown;
            zip?: unknown;
        }
        /**
         * Household Member entity from the `csm_household_member` table.
         *
         * @group Types
         */
        interface HouseholdMember extends Core.DescendentEntity {
            consumer?: string | Core.Link;
            end_date?: unknown;
            household?: string | Core.Link;
            number?: unknown;
            start_date?: unknown;
        }
        /**
         * Order Case entity from the `csm_order_case` table.
         *
         * @group Types
         */
        interface OrderCase extends Case {
            order_case?: string | Core.Link;
            order_line_item?: string | Core.Link;
        }
        /**
         * Registration Request entity from the `sn_customerservice_registration` table.
         *
         * @group Types
         */
        interface RegistrationRequest extends Core.BaseEntity {
            account?: string | Core.Link;
            email?: unknown;
            first_name?: unknown;
            last_name?: unknown;
            name?: unknown;
            registration_code?: unknown;
            state?: unknown;
            user?: string | Core.Link;
        }
        /**
         * Related Party entity from the `sn_customerservice_related_party` table.
         *
         * @group Types
         */
        interface RelatedParty extends Core.BaseEntity {
            account?: string | Core.Link;
            case_record?: string | Core.Link;
            consumer?: string | Core.Link;
            party_config?: string | Core.Link;
            party_name?: unknown;
            responsibility?: string | Core.Link;
            user?: string | Core.Link;
        }
        /**
         * Related Party Configuration entity from the `sn_customerservice_related_party_configuration` table.
         *
         * @group Types
         */
        interface RelatedPartyConfiguration extends Core.BaseEntity {
            applies_to?: unknown;
            default_responsibility?: string | Core.Link;
            entity_type?: unknown;
            fso_category?: unknown;
            name?: unknown;
            reference_condition?: unknown;
        }
        /**
         * Responsibility Definition entity from the `sn_customerservice_responsibility_def` table.
         *
         * @group Types
         */
        interface ResponsibilityDefinition extends Core.ApplicationFile {
            name?: unknown;
            type?: unknown;
            unique?: unknown;
        }
        /**
         * Task entity from the `sn_customerservice_task` table.
         *
         * @group Types
         */
        interface Task extends Core.Task {
            account?: string | Core.Link;
            associated_record?: unknown;
            associated_table?: unknown;
            consumer?: string | Core.Link;
            contact?: string | Core.Link;
            parent_case?: string | Core.Link;
            service?: string | Core.Link;
            visible_to_customer?: unknown;
        }
    }
    /**
     * Entity types from the ServiceNow {@link https://www.servicenow.com/products/financial-services-operations.html | Financial Services Operations} product for use with the `ServiceNowConnection.executeApiRequest` function when calling the ServiceNow {@link https://docs.servicenow.com/bundle/utah-api-reference/page/integrate/inbound-rest/concept/c_TableAPI.html | Table API}.
     */
    namespace FSO {
        /**
         * Account Lifecycle Task entity from the `sn_bom_clo_b2b_account_task` table.
         *
         * @group Types
         */
        interface AccountLifecycleTask extends FinancialTask {
        }
        /**
         * Account Lifecycle Service Case entity from the `sn_bom_clo_b2b_account_service` table.
         *
         * @group Types
         */
        interface AccountLifecycleServiceCase extends BusinessLifecycleBase {
            account_name?: unknown;
            activity_status?: unknown;
            address_change?: unknown;
            annual_revenue?: unknown;
            business_address?: unknown;
            business_identifier_code?: unknown;
            business_type?: unknown;
            change_country_of_incorporation?: unknown;
            compliant_status?: unknown;
            country_of_incorporation?: unknown;
            date_of_incorporation?: unknown;
            dealer_high_value_goods?: unknown;
            designated_non_financial_business?: unknown;
            doing_business_as?: unknown;
            entity_type?: unknown;
            foreign_financial_institution?: unknown;
            industry?: unknown;
            nature_of_business?: unknown;
            previous_names?: unknown;
            primary_business_activity?: unknown;
            products_sold_country?: unknown;
            reason?: unknown;
            relationship_manager?: string | Core.Link;
            source_of_funds?: unknown;
            submission_comment?: unknown;
            website?: unknown;
        }
        /**
         * Auto Loan entity from the `sn_bom_auto_loan` table.
         *
         * @group Types
         */
        interface AutoLoan extends LoanAccount {
        }
        /**
         * Business Certificate of Deposit entity from the `sn_bom_b2b_certificate_of_deposit` table.
         *
         * @group Types
         */
        interface BusinessCertificateOfDeposit extends DepositAccount {
            deposit_amount?: unknown;
            deposit_amount_to_be_credited_to?: string | Core.Link;
            interest_payout_frequency?: unknown;
            maturity_amount?: unknown;
            maturity_instruction?: unknown;
            mode_of_operation?: unknown;
            penalty_amount?: unknown;
        }
        /**
         * Business Checking Account entity from the `sn_bom_b2b_checking_account` table.
         *
         * @group Types
         */
        interface BusinessCheckingAccount extends DepositAccount {
            applicable_interest_rate_apy?: unknown;
            check_facility?: unknown;
            debit_card?: unknown;
            list_of_countries?: unknown;
            online_banking?: unknown;
            overseas_transactions?: unknown;
            purpose?: unknown;
        }
        /**
         * Business Credit Card entity from the `sn_bom_business_credit_card` table.
         *
         * @group Types
         */
        interface BusinessCreditCard extends FinancialAccount {
            accrued_interest?: unknown;
            apr_card?: unknown;
            apr_cash?: unknown;
            cash_advance_limit?: unknown;
            credit_facility_id?: unknown;
            document_id?: unknown;
            grace_period?: unknown;
            is_lending_insured?: unknown;
            max_credit_limit?: unknown;
            requested_credit_limit?: unknown;
            risk_rating?: unknown;
        }
        /**
         * Business Credit Task entity from the `sn_bom_credit_asmt_b2b_task` table.
         *
         * @group Types
         */
        interface BusinessCreditTask extends FinancialTask {
            credit_approval?: unknown;
        }
        /**
         * Business Deposit Service Case entity from the `sn_bom_deposit_b2b_service` table.
         *
         * @group Types
         */
        interface BusinessDepositServiceCase extends FinancialServicesBase {
            account_number?: unknown;
            activity_status?: unknown;
            additional_remarks?: unknown;
            amount?: unknown;
            applicable_interest_rate?: unknown;
            balance_credited?: unknown;
            beneficiary_account_number?: unknown;
            beneficiary_name?: unknown;
            beneficiary_routing_number?: unknown;
            checkbook_facility?: unknown;
            checks_destroyed?: unknown;
            check_number?: unknown;
            corrective_action?: unknown;
            corrective_remarks?: unknown;
            credit_account?: string | Core.Link;
            debit_acct?: string | Core.Link;
            debit_card?: unknown;
            debit_card_destroyed?: unknown;
            debit_gl_account?: unknown;
            expected_account_purpose?: unknown;
            expected_account_usage?: unknown;
            expected_transaction_countries?: unknown;
            fee_treatment?: unknown;
            frequency?: unknown;
            fund_transfer_type?: unknown;
            initial_deposit_amount?: unknown;
            interest_end_date?: unknown;
            interest_margin?: unknown;
            interest_rate?: unknown;
            interest_start_date?: unknown;
            margin?: unknown;
            net_banking?: unknown;
            occurrences?: unknown;
            payee_address?: unknown;
            payee_name?: unknown;
            payment_mode?: unknown;
            purpose?: unknown;
            reason?: unknown;
            release_balance_mode?: unknown;
            remaining_balance?: unknown;
            routing_number?: unknown;
            standing_order?: string | Core.Link;
            standing_orders?: string | Core.Link;
            start_date?: unknown;
            statement_frequency?: unknown;
            statement_mode?: unknown;
            submit_comment?: unknown;
            unpaid_fees?: unknown;
        }
        /**
         * Business Deposit Task entity from the `sn_bom_deposit_b2b_task` table.
         *
         * @group Types
         */
        interface BusinessDepositTask extends FinancialTask {
            reject_reason?: unknown;
        }
        /**
         * Business Lifecycle Base entity from the `sn_bom_clo_b2b_base` table.
         *
         * @group Types
         */
        interface BusinessLifecycleBase extends FinancialServicesBase {
            change_country?: unknown;
            change_state_province?: unknown;
            city?: unknown;
            country_code?: unknown;
            state_province?: unknown;
            street?: unknown;
            zip?: unknown;
        }
        /**
         * Business Line of Credit entity from the `sn_bom_b2b_line_of_credit` table.
         *
         * @group Types
         */
        interface BusinessLineOfCredit extends LineOfCredit {
        }
        /**
         * Business Loan Credit Service Case entity from the `sn_bom_credit_asmt_loan_b2b_service` table.
         *
         * @group Types
         */
        interface BusinessLoanCreditServiceCase extends FinancialServicesBase {
            acceptance_date?: unknown;
            acceptance_remarks?: unknown;
            account_number?: unknown;
            add_modify_collaterals?: unknown;
            add_modify_conditions_precedent?: unknown;
            add_modify_conditions_preliminary?: unknown;
            add_modify_conditions_subsequent?: unknown;
            add_modify_covenants?: unknown;
            add_modify_guarantors?: unknown;
            asset_classification?: unknown;
            check_number?: unknown;
            compliance_date?: unknown;
            covenant?: string | Core.Link;
            covenant_compliance_remarks?: unknown;
            covenant_compliance_status?: unknown;
            covenant_due_date?: unknown;
            covenant_extension_due_date?: unknown;
            covenant_instance_waived?: unknown;
            covenant_waiver_end_date?: unknown;
            covenant_waiver_start_date?: unknown;
            debit_account?: string | Core.Link;
            debit_gl_account?: unknown;
            extend_loan_maturity_date?: unknown;
            fee_amount?: unknown;
            fee_treatment?: unknown;
            interest_outstanding?: unknown;
            interest_rate?: unknown;
            new_accrued_interest?: unknown;
            new_collateral_details?: unknown;
            new_condition_precedent_details?: unknown;
            new_condition_preliminary_details?: unknown;
            new_condition_subsequent_details?: unknown;
            new_covenant_details?: unknown;
            new_guarantor_details?: unknown;
            new_interest_rate?: unknown;
            new_interest_rate_end_date?: unknown;
            new_interest_rate_start_date?: unknown;
            new_loan_maturity_date?: unknown;
            new_principal_amount?: unknown;
            others?: unknown;
            other_charges?: unknown;
            outstanding_fee?: unknown;
            payment_mode?: unknown;
            principal_outstanding?: unknown;
            qualification_remarks?: unknown;
            qualified?: unknown;
            reason?: unknown;
            reason_remarks?: unknown;
            reduce_accrured_interest?: unknown;
            reduce_interest_rate?: unknown;
            remark_for_others?: unknown;
            restructured_terms_accepted?: unknown;
            revise_principal_amount?: unknown;
            routing_number?: unknown;
            total_outstanding_amount?: unknown;
        }
        /**
         * Business Loan Service Case entity from the `sn_bom_loan_b2b_service` table.
         *
         * @group Types
         */
        interface BusinessLoanServiceCase extends FinancialServicesBase {
            account_number?: unknown;
            activity_state?: unknown;
            amount_paid?: unknown;
            bankruptcy_date?: unknown;
            check_number?: unknown;
            corrective_action?: unknown;
            credit_service?: string | Core.Link;
            debit_account?: string | Core.Link;
            debit_general_ledger_account?: unknown;
            deferment_option?: unknown;
            deferment_period?: unknown;
            deferment_reason?: unknown;
            drawdown_amount?: unknown;
            effective_date?: unknown;
            end_date?: unknown;
            fee_amount?: unknown;
            fee_treatment?: unknown;
            fee_write_off_amount?: unknown;
            funds_source?: unknown;
            interest_outstanding?: unknown;
            interest_repayment?: unknown;
            interest_write_off_amount?: unknown;
            judgement_date?: unknown;
            last_repayment_amount?: unknown;
            last_repayment_date?: unknown;
            loan_amount?: unknown;
            loan_forgiveness_reason?: unknown;
            loan_transaction?: string | Core.Link;
            mode_of_disbursement?: unknown;
            mode_of_payment?: unknown;
            new_interest_rate?: unknown;
            new_maturity_date?: unknown;
            new_outstanding_principal?: unknown;
            other_charges?: unknown;
            other_charges_write_off_amount?: unknown;
            outstanding_fee?: unknown;
            payee_address?: unknown;
            payee_name?: unknown;
            payment_details?: string | Core.Link;
            payment_status?: unknown;
            prepayment_amount?: unknown;
            principal_outstanding?: unknown;
            principal_repayment?: unknown;
            principal_write_off_amount?: unknown;
            remainder_loan_treatment?: unknown;
            remarks?: unknown;
            remedial_service?: string | Core.Link;
            repayment_amount?: unknown;
            repayment_amount_due?: unknown;
            repayment_due_date?: unknown;
            report_to_credit_bureau?: unknown;
            routing_number?: unknown;
            start_date?: unknown;
            submission_comment?: unknown;
            total_outstanding_amount?: unknown;
            total_repayment?: unknown;
            total_write_off_amount?: unknown;
            write_off_option?: unknown;
        }
        /**
         * Business Loan Task entity from the `sn_bom_loan_b2b_task` table.
         *
         * @group Types
         */
        interface BusinessLoanTask extends FinancialTask {
        }
        /**
         * Business Saving Account entity from the `sn_bom_b2b_saving_account` table.
         *
         * @group Types
         */
        interface BusinessSavingAccount extends DepositAccount {
            applicable_interest_rate_apy?: unknown;
            check_facility?: unknown;
            debit_card?: unknown;
            list_of_countries?: unknown;
            online_banking?: unknown;
            overseas_transactions?: unknown;
            purpose?: unknown;
        }
        /**
         * Card Disputes Service Case entity from the `sn_bom_credit_card_disputes_service` table.
         *
         * @group Types
         */
        interface CardDisputesServiceCase extends FinancialServicesBase {
            activity_status?: unknown;
            card_provider?: unknown;
            dispute_amount?: unknown;
            dispute_reason?: unknown;
            financial_transaction?: string | Core.Link;
            fraud_alert?: unknown;
            submission_comment?: unknown;
            total_refund?: unknown;
        }
        /**
         * Card Disputes Task entity from the `sn_bom_credit_card_disputes_task` table.
         *
         * @group Types
         */
        interface CardDisputesTask extends FinancialTask {
            chargeback_details?: string | Core.Link;
            deny_dispute?: unknown;
            disputed_transaction_amount?: unknown;
            dispute_amount?: unknown;
            fee_amount?: unknown;
            financial_transaction?: string | Core.Link;
            interest_amount?: unknown;
            merchant_action?: unknown;
            potential_fraud?: unknown;
            pursue_chargeback?: unknown;
            refund_merchant?: unknown;
            remarks?: unknown;
            represented_by_merchant?: unknown;
            total_refund?: unknown;
            write_off_funds?: unknown;
        }
        /**
         * Claim entity from the `sn_bom_payment_claim` table.
         *
         * @group Types
         */
        interface Claim extends PaymentBase {
            actual_treatment?: unknown;
            debit_account?: string | Core.Link;
            debit_contact?: string | Core.Link;
            debit_customer?: string | Core.Link;
            debit_financial_account?: string | Core.Link;
            error_category?: unknown;
            error_subcategory?: unknown;
            error_type?: unknown;
            external_claim_id?: unknown;
            international_payment?: unknown;
            outcome?: unknown;
            outcome_notes?: unknown;
            payment_date?: unknown;
            payment_inquiry?: string | Core.Link;
            payment_processor?: unknown;
            payment_service?: string | Core.Link;
            recipient_bank?: string | Core.Link;
            recurring_payment?: unknown;
            refund_amount?: unknown;
            refund_type?: unknown;
            remitter_bank?: string | Core.Link;
            requested_treatment?: unknown;
            total_amount?: unknown;
            tracking_id?: unknown;
            transaction_id?: unknown;
        }
        /**
         * Claim Task entity from the `sn_bom_payment_claim_task` table.
         *
         * @group Types
         */
        interface ClaimTask extends FinancialTask {
            sender_transactions?: string | Core.Link;
        }
        /**
         * Client Lifecycle Service Case entity from the `sn_bom_clo_b2c_service` table.
         *
         * @group Types
         */
        interface ClientLifecycleServiceCase extends FinancialServicesBase {
            account_number?: unknown;
            activity_status?: unknown;
            amount_to_be_released?: unknown;
            change_country?: unknown;
            change_nationality?: unknown;
            change_state_province?: unknown;
            check_number?: unknown;
            city?: unknown;
            combined_statement?: unknown;
            country?: unknown;
            customer_existing?: unknown;
            customer_will_present?: unknown;
            date_of_birth?: unknown;
            date_of_birth_deceased?: unknown;
            date_of_death_deceased?: unknown;
            date_of_funeral?: unknown;
            debit_card_required?: unknown;
            disbursement_mode?: unknown;
            email?: unknown;
            estatement?: unknown;
            first_name?: unknown;
            funding_amount?: unknown;
            funding_source?: unknown;
            funeral_expense?: unknown;
            has_lending_product?: unknown;
            income_source?: unknown;
            is_address_change?: unknown;
            is_name_change?: unknown;
            kyc_compliance_status?: unknown;
            last_name?: unknown;
            mobile_phone?: unknown;
            nationality?: unknown;
            notifier?: string | Core.Link;
            overdraft_protection?: unknown;
            payee_address?: unknown;
            payee_name?: unknown;
            probate_present?: unknown;
            reason?: unknown;
            relationship_deceased_customer?: unknown;
            relationship_manager?: unknown;
            release_funds_for_funeral?: unknown;
            release_tax_funds?: unknown;
            remarks?: unknown;
            routing_number?: unknown;
            state_province?: unknown;
            street?: unknown;
            submission_comment?: unknown;
            tax_payable?: unknown;
            total_asset_value?: unknown;
            zip?: unknown;
        }
        /**
         * Client Lifecycle Task entity from the `sn_bom_clo_b2c_task` table.
         *
         * @group Types
         */
        interface ClientLifecycleTask extends FinancialTask {
        }
        /**
         * Commercial Auto Claim Adjuster Task entity from the `sn_ins_claim_cml_auto_adj_task` table.
         *
         * @group Types
         */
        interface CommercialAutoClaimAdjusterTask extends FinancialTask {
            activity_status?: unknown;
            adjuster_comments?: unknown;
            settlement_comments?: unknown;
            siu_review?: unknown;
            total_expense_amount?: unknown;
            total_loss_amount?: unknown;
        }
        /**
         * Commercial Auto Claim Case entity from the `sn_ins_claim_cml_auto_service` table.
         *
         * @group Types
         */
        interface CommercialAutoClaimCase extends FinancialServicesBase {
            activity_status?: unknown;
            claim_fraud_decision?: unknown;
            claim_validation_decision?: unknown;
            city?: unknown;
            country?: unknown;
            date_and_time_of_incident?: unknown;
            describe_the_incident?: unknown;
            fault_rating?: unknown;
            fnol_comments?: unknown;
            fraud_score?: string | Core.Link;
            nature_of_loss?: unknown;
            police_report_details?: unknown;
            police_report_number?: unknown;
            report_date?: unknown;
            siu_review?: unknown;
            state_province?: unknown;
            street?: unknown;
            total_claim_amount?: unknown;
            total_expense_amount?: unknown;
            total_loss_amount?: unknown;
            zip?: unknown;
        }
        /**
         * Commercial Auto Claim Task entity from the `sn_ins_claim_cml_auto_task` table.
         *
         * @group Types
         */
        interface CommercialAutoClaimTask extends FinancialTask {
            activity_status?: unknown;
            adjuster_comments?: unknown;
            settlement_comments?: unknown;
            siu_review?: unknown;
            total_expense_amount?: unknown;
            total_loss_amount?: unknown;
        }
        /**
         * Commercial Real Estate Loan entity from the `sn_bom_commercial_real_estate_loan` table.
         *
         * @group Types
         */
        interface CommercialRealEstateLoan extends LoanAccount {
        }
        /**
         * Commercial Vehicle Loan entity from the `sn_bom_commercial_vehicle_loan` table.
         *
         * @group Types
         */
        interface CommercialVehicleLoan extends LoanAccount {
        }
        /**
         * Complaint Case entity from the `sn_bom_compl_service` table.
         *
         * @group Types
         */
        interface ComplaintCase extends FinancialServicesBase {
            branch_code?: unknown;
            checked_for_review?: unknown;
            complaint_response?: unknown;
            complaint_type?: unknown;
            expected_outcome?: unknown;
            findings_learnings?: unknown;
            intake_completed?: unknown;
            legal_impact?: unknown;
            quality_approval?: unknown;
            regulation_category?: string | Core.Link;
            regulation_subcategory?: string | Core.Link;
            regulatory_impact?: unknown;
            response_template?: unknown;
            source?: string | Core.Link;
            source_type?: string | Core.Link;
        }
        /**
         * Complaint Service Task entity from the `sn_bom_compl_task` table.
         *
         * @group Types
         */
        interface ComplaintServiceTask extends FinancialTask {
        }
        /**
         * Contact Lifecycle Service Case entity from the `sn_bom_clo_b2b_contact_service` table.
         *
         * @group Types
         */
        interface ContactLifecycleServiceCase extends BusinessLifecycleBase {
            date_of_birth?: unknown;
            email?: unknown;
            equity_percentage?: unknown;
            first_name?: unknown;
            last_name?: unknown;
            mobile_phone?: unknown;
            nationality?: unknown;
            role?: string | Core.Link;
            submission_comment?: unknown;
        }
        /**
         * Contact Lifecycle Task entity from the `sn_bom_clo_b2b_contact_task` table.
         *
         * @group Types
         */
        interface ContactLifecycleTask extends FinancialTask {
        }
        /**
         * Credit Card Service entity from the `sn_bom_credit_card_service` table.
         *
         * @group Types
         */
        interface CreditCardService extends FinancialServicesBase {
            duration?: unknown;
            end_date?: unknown;
            req_limit_amount?: unknown;
            start_date?: unknown;
        }
        /**
         * Credit Card Task entity from the `sn_bom_credit_card_task` table.
         *
         * @group Types
         */
        interface CreditCardTask extends FinancialTask {
            credit_assessment?: string | Core.Link;
        }
        /**
         * Credit Task entity from the `sn_bom_credit_card_task` table.
         *
         * @group Types
         */
        interface CreditTask extends FinancialTask {
            credit_approval?: unknown;
            credit_limit?: unknown;
            req_limit_amount?: unknown;
            risk_score?: unknown;
        }
        /**
         * Deposit Account entity from the `sn_bom_deposit_account` table.
         *
         * @group Types
         */
        interface DepositAccount extends FinancialAccount {
            accrued_interest?: unknown;
            interest_credit_account?: string | Core.Link;
            interest_rate_apy?: unknown;
            interest_rate_end_date?: unknown;
            interest_rate_start_date?: unknown;
            other_margin?: unknown;
        }
        /**
         * Equipment Loan entity from the `sn_bom_equipment_loan` table.
         *
         * @group Types
         */
        interface EquipmentLoan extends LoanAccount {
        }
        /**
         * Financial Account entity from the `sn_bom_financial_account` table.
         *
         * @group Types
         */
        interface FinancialAccount extends Core.SoldProduct {
            account_number?: unknown;
            active?: unknown;
            application_id?: unknown;
            balance?: unknown;
            base_currency?: string | Core.Link;
            closure_date?: unknown;
            customer_class?: unknown;
            end_date?: unknown;
            external_id?: unknown;
            open_date?: unknown;
            request_channel?: unknown;
            secondary_consumer?: string | Core.Link;
            sourced_channel?: unknown;
            start_date?: unknown;
            statement_frequency?: unknown;
            statement_mode?: unknown;
            status?: unknown;
        }
        /**
         * Financial Service entity from the `sn_bom_service` table.
         *
         * @group Types
         */
        interface FinancialService extends Core.SoldProduct {
            approval_level?: unknown;
            billing_account?: string | Core.Link;
            end_date?: unknown;
            service_level_limit?: unknown;
            start_date?: unknown;
            status?: unknown;
        }
        /**
         * Financial Services Base entity from the `sn_bom_case` table.
         *
         * @group Types
         */
        interface FinancialServicesBase extends CSM.Case {
            customer_approval?: unknown;
            service_definition?: string | Core.Link;
        }
        /**
         * Financial Services Case entity from the `sn_bom_financial_service` table.
         *
         * @group Types
         */
        interface FinancialServicesCase extends FinancialServicesBase {
        }
        /**
         * Financial Services Task entity from the `sn_bom_financial_task` table.
         *
         * @group Types
         */
        interface FinancialServicesTask extends FinancialTask {
        }
        /**
         * Financial Task entity from the `sn_bom_task` table.
         *
         * @group Types
         */
        interface FinancialTask extends Core.Task {
            account?: string | Core.Link;
            category?: unknown;
            contact?: string | Core.Link;
            customer?: string | Core.Link;
            product?: string | Core.Link;
            service_definition?: string | Core.Link;
            sold_product?: string | Core.Link;
        }
        /**
         * Individual Life Underwriting Service Task entity from the `sn_ins_indiv_uw_task` table.
         *
         * @group Types
         */
        interface IndividualLifeUnderwritingServiceTask extends FinancialTask {
            activity_status?: unknown;
            current_premium?: unknown;
            net_premium?: unknown;
            new_premium?: unknown;
            premium_change?: unknown;
            reject_reason?: unknown;
            requested_medical_exam?: unknown;
            submission_comment?: unknown;
        }
        /**
         * Inquiry Task entity from the `sn_bom_payment_inquiry_task` table.
         *
         * @group Types
         */
        interface InquiryTask extends FinancialTask {
            sender_transactions?: string | Core.Link;
        }
        /**
         * Investment Account entity from the `sn_bom_investment_account` table.
         *
         * @group Types
         */
        interface InvestmentAccount extends FinancialAccount {
            accrued_interest?: unknown;
            interest_rate_apy?: unknown;
            interest_rate_end_date?: unknown;
            interest_rate_start_date?: unknown;
            interest_to_be_credited_to?: string | Core.Link;
        }
        /**
         * KYC Account Task entity from the `sn_bom_kyc_account_task` table.
         *
         * @group Types
         */
        interface KycAccountTask extends FinancialTask {
            expiry_date?: unknown;
            kyc_completed_date?: unknown;
            outcome?: unknown;
            risk_score?: unknown;
            status?: unknown;
        }
        /**
         * KYC Contact Task entity from the `sn_bom_kyc_contact_task` table.
         *
         * @group Types
         */
        interface KycContactTask extends FinancialTask {
            expiry_date?: unknown;
            kyc_completed_date?: unknown;
            outcome?: unknown;
            risk_score?: unknown;
            status?: unknown;
        }
        /**
         * KYC Customer Task entity from the `sn_bom_kyc_customer_task` table.
         *
         * @group Types
         */
        interface KycCustomerTask extends FinancialTask {
            expiry_date?: unknown;
            kyc_completed_date?: unknown;
            outcome?: unknown;
            risk_score?: unknown;
            status?: unknown;
        }
        /**
         * Line of Credit entity from the `sn_bom_line_of_credit` table.
         *
         * @group Types
         */
        interface LineOfCredit extends FinancialAccount {
            accrued_interest?: unknown;
            available_amount?: unknown;
            billing_cycle?: unknown;
            bill_due_date?: unknown;
            disbursed_amount?: unknown;
            expiry_date?: unknown;
            notes?: unknown;
            principal_balance?: unknown;
            purpose?: unknown;
            sactioned_amount?: unknown;
            statement_generated_date?: unknown;
            statement_generation_day?: unknown;
        }
        /**
         * Loan Account entity from the `sn_bom_loan_account` table.
         *
         * @group Types
         */
        interface LoanAccount extends FinancialAccount {
            accrued_interest?: unknown;
            amount?: unknown;
            apr?: unknown;
            cosigner?: string | Core.Link;
            credit_facility_id?: unknown;
            days_past_due?: unknown;
            delinquency_status?: unknown;
            disbursed_amount?: unknown;
            document_id?: unknown;
            federal_backed_loan?: unknown;
            grace_period_for_repayment?: unknown;
            guarantor?: string | Core.Link;
            interest_rate?: unknown;
            interest_type?: unknown;
            is_lending_insured?: unknown;
            last_payment_amount?: unknown;
            last_payment_date?: unknown;
            last_reviewed_on?: unknown;
            loan_classification?: unknown;
            maturity_date?: unknown;
            moratorium_end_date?: unknown;
            moratorium_period?: unknown;
            moratorium_start_date?: unknown;
            next_review_on?: unknown;
            no_of_installments?: unknown;
            no_of_installment_deferrals_made?: unknown;
            pending_installments?: unknown;
            prepayment_allowed?: unknown;
            principal_balance?: unknown;
            purpose?: unknown;
            request_channel?: unknown;
            risk_rating?: unknown;
            rollover_mode?: unknown;
            rollover_possible?: unknown;
            term?: unknown;
        }
        /**
         * Mortgage entity from the `sn_bom_mortgage` table.
         *
         * @group Types
         */
        interface Mortgage extends LoanAccount {
        }
        /**
         * Payment Base entity from the `sn_bom_payment_base` table.
         *
         * @group Types
         */
        interface PaymentBase extends CSM.Case {
            receiving_transactions?: unknown;
            sender_transactions?: unknown;
        }
        /**
         * Payment Inquiry Case entity from the `sn_bom_payment_inquiry` table.
         *
         * @group Types
         */
        interface PaymentInquiryCase extends PaymentBase {
            correct_account?: unknown;
            correct_beneficiary?: unknown;
            correct_routing?: unknown;
            customer_reason?: unknown;
            error_type?: unknown;
            external_id?: unknown;
            is_attempted_recovery?: unknown;
            is_international?: unknown;
            is_recurring?: unknown;
            is_valid_claim?: unknown;
            other_reason?: unknown;
            payment_date?: unknown;
            payment_processor?: unknown;
            receiving_account?: string | Core.Link;
            receiving_contact?: string | Core.Link;
            receiving_customer?: string | Core.Link;
            receiving_financial_account?: string | Core.Link;
            recipient_bank?: string | Core.Link;
            recipient_type?: unknown;
            remitter_bank?: string | Core.Link;
            sent_to_account?: unknown;
            sent_to_beneficiary?: unknown;
            sent_to_routing?: unknown;
            total_amount?: unknown;
            transaction_id?: unknown;
        }
        /**
         * Payment Service entity from the `sn_bom_payment_service` table.
         *
         * @group Types
         */
        interface PaymentService extends PaymentBase {
            outcome_notes?: unknown;
            outcome?: unknown;
            requested_amount?: unknown;
            total_amount?: unknown;
        }
        /**
         * Personal Certificate of Deposit entity from the `sn_bom_certificate_of_deposit` table.
         *
         * @group Types
         */
        interface PersonalCertificateOfDeposit extends DepositAccount {
            auto_renewal?: unknown;
            deposit_amount?: unknown;
            deposit_amount_to_be_credited_to?: string | Core.Link;
            interest_payout_frequency?: unknown;
            maturity_amount?: unknown;
            maturity_instructions?: unknown;
            mode_of_operation?: unknown;
            penalty_amount?: unknown;
            premature_liquidation?: unknown;
            premature_liquidation_penalty?: unknown;
        }
        /**
         * Personal Checking Account entity from the `sn_bom_checking_account` table.
         *
         * @group Types
         */
        interface PersonalCheckingAccount extends DepositAccount {
            applicable_interest_rate_apy?: unknown;
            check_facility?: unknown;
            debit_card?: unknown;
            list_of_countries?: unknown;
            online_banking?: unknown;
            overseas_transactions?: unknown;
            purpose?: unknown;
        }
        /**
         * Personal Credit Card entity from the `sn_bom_credit_card` table.
         *
         * @group Types
         */
        interface PersonalCreditCard extends FinancialAccount {
            accrued_interest?: unknown;
            address?: unknown;
            apr_card?: unknown;
            apr_cash?: unknown;
            billing_cycle?: unknown;
            bill_due_date?: unknown;
            cash_advance_limit?: unknown;
            credit_facility_id?: unknown;
            document_id?: unknown;
            embossed_name_primary_applicant?: unknown;
            embossed_name_secondary_applicant?: unknown;
            expire_date?: unknown;
            grace_period?: unknown;
            issue_date?: unknown;
            is_lending_insured?: unknown;
            max_credit_limit?: unknown;
            requested_credit_limit?: unknown;
            risk_rating?: unknown;
            statement_generation_date?: unknown;
            statement_generation_day?: unknown;
        }
        /**
         * Personal Deposit Service Case entity from the `sn_bom_deposit_b2c_service` table.
         *
         * @group Types
         */
        interface PersonalDepositServiceCase extends FinancialServicesBase {
            account_holder_authorization?: unknown;
            account_number?: unknown;
            account_purpose?: unknown;
            activity_status?: unknown;
            amount?: unknown;
            applicable_interest_rate_apy?: unknown;
            balance_credited?: unknown;
            beneficiary_account_number?: unknown;
            beneficiary_name?: unknown;
            beneficiary_routing_number?: unknown;
            checkbook_facility?: unknown;
            checks_destroyed?: unknown;
            check_number?: unknown;
            city?: unknown;
            country?: unknown;
            credit_account?: string | Core.Link;
            date_of_birth?: unknown;
            debit_account?: string | Core.Link;
            debit_card?: unknown;
            debit_card_destroyed?: unknown;
            debit_gl_account?: unknown;
            email?: unknown;
            existing_customer?: unknown;
            fee_treatment?: unknown;
            financial_account_relationship?: unknown;
            financial_role?: unknown;
            first_name?: unknown;
            frequency?: unknown;
            fund_transfer_type?: unknown;
            guardian_city?: unknown;
            guardian_country?: unknown;
            guardian_date_of_birth?: unknown;
            guardian_email?: unknown;
            guardian_first_name?: unknown;
            guardian_last_name?: unknown;
            guardian_mobile_phone?: unknown;
            guardian_nationality?: unknown;
            guardian_state_province?: unknown;
            guardian_street?: unknown;
            guardian_zip?: unknown;
            initial_deposit_amount?: unknown;
            interest_margin?: unknown;
            interest_rate_apy?: unknown;
            interest_rate_end_date?: unknown;
            interest_rate_start_date?: unknown;
            is_minor?: unknown;
            last_name?: unknown;
            list_of_countries?: unknown;
            margin?: unknown;
            mobile_phone?: unknown;
            mode_of_operation?: unknown;
            nationality?: unknown;
            net_banking?: unknown;
            occurrences?: unknown;
            overseas_transactions?: unknown;
            ownership_percentage?: unknown;
            payee_address?: unknown;
            payee_name?: unknown;
            payment_mode?: unknown;
            primary_account_financial_role?: unknown;
            primary_mode_of_operation?: unknown;
            purpose?: unknown;
            reason?: unknown;
            release_balance_mode?: unknown;
            remaining_balance?: unknown;
            remarks?: unknown;
            routing_number?: unknown;
            secondary_account_financial_role?: unknown;
            secondary_mode_of_operation?: unknown;
            secondary_ownership_percentage?: unknown;
            select_customer?: string | Core.Link;
            standing_order?: string | Core.Link;
            standing_orders?: unknown;
            start_date?: unknown;
            statement_frequency?: unknown;
            statement_mode?: unknown;
            state_province?: unknown;
            street?: unknown;
            submission_comment?: unknown;
            unpaid_fees?: unknown;
            zip?: unknown;
        }
        /**
         * Personal Deposit Task entity from the `sn_bom_deposit_b2c_task` table.
         *
         * @group Types
         */
        interface PersonalDepositTask extends FinancialTask {
            rejection_reason?: unknown;
        }
        /**
         * Personal Line of Credit entity from the `sn_bom_b2c_line_of_credit` table.
         *
         * @group Types
         */
        interface PersonalLineOfCredit extends LineOfCredit {
        }
        /**
         * Personal Loan entity from the `sn_bom_personal_loan` table.
         *
         * @group Types
         */
        interface PersonalLoan extends LoanAccount {
        }
        /**
         * Personal Loan Credit Service Case entity from the `sn_bom_credit_asmt_loan_service` table.
         *
         * @group Types
         */
        interface PersonalLoanCreditServiceCase extends FinancialServicesBase {
            acceptance_date?: unknown;
            acceptance_remarks?: unknown;
            account_number?: unknown;
            add_modify_collaterals?: unknown;
            add_modify_conditions_precedent?: unknown;
            add_modify_conditions_preliminary?: unknown;
            add_modify_conditions_subsequent?: unknown;
            add_modify_covenants?: unknown;
            add_modify_guarantors?: unknown;
            asset_classification?: unknown;
            check_number?: unknown;
            compliance_date?: unknown;
            covenant?: unknown;
            covenant_compliance_remarks?: unknown;
            covenant_compliance_status?: unknown;
            covenant_due_date?: unknown;
            covenant_extension_due_date?: unknown;
            covenant_instance_waived?: unknown;
            covenant_waiver_end_date?: unknown;
            covenant_waiver_start_date?: unknown;
            debit_account?: string | Core.Link;
            debit_gl_account?: unknown;
            extend_loan_maturity_date?: unknown;
            fee_amount?: unknown;
            fee_treatment?: unknown;
            interest_outstanding?: unknown;
            interest_rate?: unknown;
            new_accrued_interest?: unknown;
            new_collateral_details?: unknown;
            new_condition_precedent_details?: unknown;
            new_condition_preliminary_details?: unknown;
            new_condition_subsequent_details?: unknown;
            new_covenant_details?: unknown;
            new_guarantor_details?: unknown;
            new_interest_rate?: unknown;
            new_interest_rate_end_date?: unknown;
            new_interest_rate_start_date?: unknown;
            new_loan_maturity_date?: unknown;
            new_principal_amount?: unknown;
            others?: unknown;
            other_charges?: unknown;
            outstanding_fee?: unknown;
            payment_mode?: unknown;
            principal_outstanding?: unknown;
            qualification_remarks?: unknown;
            qualified?: unknown;
            reason?: unknown;
            reason_remarks?: unknown;
            reduce_accrured_interest?: unknown;
            reduce_interest_rate?: unknown;
            remark_for_others?: unknown;
            revise_principal_amount?: unknown;
            routing_number?: unknown;
            total_outstanding_amount?: unknown;
        }
        /**
         * Personal Loan Service Case entity from the `sn_bom_loan_service` table.
         *
         * @group Types
         */
        interface PersonalLoanServiceCase extends FinancialServicesBase {
            account_number?: unknown;
            activity_state?: unknown;
            amount_paid?: unknown;
            bankruptcy_date?: unknown;
            check_number?: unknown;
            corrective_action?: unknown;
            credit_service?: string | Core.Link;
            debit_account?: string | Core.Link;
            debit_general_ledger_account?: unknown;
            deferment_option?: unknown;
            deferment_period?: unknown;
            deferment_reason?: unknown;
            end_date?: unknown;
            fee_amount?: unknown;
            fee_treatment?: unknown;
            fee_write_off_amount?: unknown;
            funds_source?: unknown;
            interest_outstanding?: unknown;
            interest_write_off_amount?: unknown;
            judgement_date?: unknown;
            last_repayment_amount?: unknown;
            last_repayment_date?: unknown;
            loan_amount?: unknown;
            loan_forgiveness_reason?: unknown;
            loan_transaction?: string | Core.Link;
            mode_of_payment?: unknown;
            other_charges?: unknown;
            other_charges_write_off_amount?: unknown;
            outstanding_fee?: unknown;
            payment_details?: string | Core.Link;
            payment_status?: unknown;
            prepayment_amount?: unknown;
            principal_write_off_amount?: unknown;
            remainder_loan_treatment?: unknown;
            remarks?: unknown;
            remedial_service?: string | Core.Link;
            repayment_amount?: unknown;
            repayment_amount_due?: unknown;
            repayment_due_date?: unknown;
            report_to_credit_bureau?: unknown;
            routing_number?: unknown;
            start_date?: unknown;
            submission_comment?: unknown;
            total_outstanding_amount?: unknown;
            total_write_off_amount?: unknown;
            write_off_option?: unknown;
        }
        /**
         * Personal Loan Task entity from the `sn_bom_loan_task` table.
         *
         * @group Types
         */
        interface PersonalLoanTask extends FinancialTask {
        }
        /**
         * Personal Saving Account entity from the `sn_bom_saving_account` table.
         *
         * @group Types
         */
        interface PersonalSavingAccount extends DepositAccount {
            applicable_interest_rate_apy?: unknown;
            check_facility?: unknown;
            debit_card?: unknown;
            list_of_countries?: unknown;
            online_banking?: unknown;
            overseas_transactions?: unknown;
            purpose?: unknown;
        }
        /**
         * Quality Control Task entity from the `sn_bom_compl_qc_task` table.
         *
         * @group Types
         */
        interface QualityControlTask extends FinancialTask {
            complaint_response?: unknown;
            rejection_reason?: unknown;
        }
        /**
         * RDC Service entity from the `sn_bom_rdc` table.
         *
         * @group Types
         */
        interface RdcService extends FinancialService {
            average_deposits_per_month?: unknown;
            billing_package?: unknown;
            business_checks?: unknown;
            business_outside_country?: unknown;
            cashier_checks?: unknown;
            checks_deposited_per_month?: unknown;
            company_bankruptcy_filing_date?: unknown;
            company_declared_bankruptcy?: unknown;
            declined_rdc_services?: unknown;
            maximum_desposits_per_month?: unknown;
            maximun_check_amount?: unknown;
            mode?: unknown;
            money_orders?: unknown;
            others?: unknown;
            owner_bankruptcy_filing_date?: unknown;
            owner_declared_bankruptcy?: unknown;
            personal_checks?: unknown;
            rdc_services_suspended_terminated?: unknown;
            utilized_rdc_service?: unknown;
        }
        /**
         * RDC Service Case entity from the `sn_bom_treasury_rdc_service` table.
         *
         * @group Types
         */
        interface RdcServiceCase extends TreasuryServiceCase {
            average_deposits_per_month?: unknown;
            billing_package?: unknown;
            business_checks?: unknown;
            business_outside_country?: unknown;
            cashier_checks?: unknown;
            checks_deposited_per_month?: unknown;
            company_bankruptcy_filing_date?: unknown;
            company_declared_bankruptcy?: unknown;
            declined_rdc_services?: unknown;
            maximum_desposits_per_month?: unknown;
            maximun_check_amount?: unknown;
            mode?: unknown;
            money_orders?: unknown;
            others?: unknown;
            owner_bankruptcy_filing_date?: unknown;
            owner_declared_bankruptcy?: unknown;
            personal_checks?: unknown;
            rdc_services_suspended_terminated?: unknown;
            utilized_rdc_service?: unknown;
        }
        /**
         * Remote Auto Loan entity from the `sn_bom_remote_auto_loan` table.
         *
         * @group Types
         */
        interface RemoteAutoLoan extends AutoLoan {
        }
        /**
         * Remote Business Certificate of Deposit entity from the `sn_bom_b2b_remote_certificate_of_deposit` table.
         *
         * @group Types
         */
        interface RemoteBusinessCertificateOfDeposit extends BusinessCertificateOfDeposit {
        }
        /**
         * Remote Business Checking Account entity from the `sn_bom_remote_business_checking_account` table.
         *
         * @group Types
         */
        interface RemoteBusinessCheckingAccount extends BusinessCheckingAccount {
        }
        /**
         * Remote Business Line of Credit entity from the `sn_bom_remote_b2b_line_of_credit` table.
         *
         * @group Types
         */
        interface RemoteBusinessLineOfCredit extends BusinessLineOfCredit {
        }
        /**
         * Remote Business Saving Account entity from the `sn_bom_remote_b2b_saving_account` table.
         *
         * @group Types
         */
        interface RemoteBusinessSavingAccount extends BusinessSavingAccount {
        }
        /**
         * Remote Personal Certificate of Deposit entity from the `sn_bom_remote_certificate_of_deposit` table.
         *
         * @group Types
         */
        interface RemotePersonalCertificateOfDeposit extends DepositAccount {
        }
        /**
         * Remote Commercial Real Estate Loan entity from the `sn_bom_remote_commercial_real_estate_loan` table.
         *
         * @group Types
         */
        interface RemoteCommercialRealEstateLoan extends CommercialRealEstateLoan {
        }
        /**
         * Remote Commercial Vehicle Loan entity from the `sn_bom_remote_commercial_vehicle_loan` table.
         *
         * @group Types
         */
        interface RemoteCommercialVehicleLoan extends CommercialVehicleLoan {
        }
        /**
         * Remote Credit Card entity from the `sn_bom_remote_credit_card` table.
         *
         * @group Types
         */
        interface RemoteCreditCard extends PersonalCreditCard {
        }
        /**
         * Remote Equipment Loan entity from the `sn_bom_remote_equipment_loan` table.
         *
         * @group Types
         */
        interface RemoteEquipmentLoan extends EquipmentLoan {
        }
        /**
         * Remote Investment Account entity from the `sn_bom_remote_investment_account` table.
         *
         * @group Types
         */
        interface RemoteInvestmentAccount extends InvestmentAccount {
        }
        /**
         * Remote Mortgage entity from the `sn_bom_remote_mortgage` table.
         *
         * @group Types
         */
        interface RemoteMortgage extends Mortgage {
        }
        /**
         * Remote Personal Checking Account entity from the `sn_bom_remote_checking_account` table.
         *
         * @group Types
         */
        interface RemotePersonalCheckingAccount extends PersonalCheckingAccount {
        }
        /**
         * Remote Personal Line of Credit entity from the `sn_bom_remote_b2c_line_of_credit` table.
         *
         * @group Types
         */
        interface RemotePersonalLineOfCredit extends PersonalLineOfCredit {
        }
        /**
         * Remote Personal Loan entity from the `sn_bom_remote_personal_loan` table.
         *
         * @group Types
         */
        interface RemotePersonalLoan extends PersonalLoan {
        }
        /**
         * Remote Personal Saving Account entity from the `sn_bom_remote_saving_account` table.
         *
         * @group Types
         */
        interface RemotePersonalSavingAccount extends PersonalSavingAccount {
        }
        /**
         * Remote SBA Loan entity from the `sn_bom_remote_sba_loan` table.
         *
         * @group Types
         */
        interface RemoteSbaLoan extends SbaLoan {
        }
        /**
         * Remote Student Loan entity from the `sn_bom_remote_student_loan` table.
         *
         * @group Types
         */
        interface RemoteStudentLoan extends StudentLoan {
        }
        /**
         * Remote Term Loan entity from the `sn_bom_remote_term_loan` table.
         *
         * @group Types
         */
        interface RemoteTermLoan extends TermLoan {
        }
        /**
         * SBA Loan entity from the `sn_bom_sba_loan` table.
         *
         * @group Types
         */
        interface SbaLoan extends LoanAccount {
        }
        /**
         * SIU Task entity from the `sn_ins_siu_task` table.
         *
         * @group Types
         */
        interface SiuTask extends FinancialTask {
        }
        /**
         * Student Loan entity from the `sn_bom_student_loan` table.
         *
         * @group Types
         */
        interface StudentLoan extends LoanAccount {
            course_name?: unknown;
            name_of_university?: unknown;
        }
        /**
         * Term Loan entity from the `sn_bom_term_loan` table.
         *
         * @group Types
         */
        interface TermLoan extends LoanAccount {
        }
        /**
         * Treasury Service Case entity from the `sn_bom_treasury_service` table.
         *
         * @group Types
         */
        interface TreasuryServiceCase extends FinancialServicesBase {
            approval_level?: unknown;
            billing_account?: string | Core.Link;
            end_date?: unknown;
            is_service_setup_completed?: unknown;
            service_level_limit?: unknown;
            start_date?: unknown;
            submission_comment?: unknown;
        }
        /**
         * Treasury Task entity from the `sn_bom_treasury_task` table.
         *
         * @group Types
         */
        interface TreasuryTask extends FinancialTask {
        }
        /**
         * Wire Service Case entity from the `sn_bom_treasury_wire_service` table.
         *
         * @group Types
         */
        interface WireServiceCase extends TreasuryServiceCase {
            approval_type?: unknown;
            batch_wires?: unknown;
            domestic_transfers?: unknown;
            email_confirmations?: unknown;
            free_form_amount_no_approver?: unknown;
            free_form_amount_one_approver?: unknown;
            free_form_amount_two_approvers?: unknown;
            free_form_transfer_approval?: unknown;
            international_transfers?: unknown;
            repetitive_amount_no_approver?: unknown;
            repetitive_amount_one_approver?: unknown;
            repetitive_amount_two_approvers?: unknown;
            repetitive_transfer_approval?: unknown;
            reporting_service?: unknown;
            telephone_services?: unknown;
            template_maintenance_amount_no_approver?: unknown;
            template_maintenance_amount_one_approver?: unknown;
            template_maintenance_amount_two_approvers?: unknown;
            template_maintenance_approval?: unknown;
        }
        /**
         * Wire Transfer Service entity from the `sn_bom_wire_transfer` table.
         *
         * @group Types
         */
        interface WireTransferService extends FinancialService {
            approval_type?: unknown;
            batch_wires?: unknown;
            domestic_transfers?: unknown;
            email_confirmations?: unknown;
            free_form_amount_no_approver?: unknown;
            free_form_amount_one_approver?: unknown;
            free_form_amount_two_approvers?: unknown;
            free_form_transfer_approval?: unknown;
            international_transfers?: unknown;
            repetitive_amount_no_approver?: unknown;
            repetitive_amount_one_approver?: unknown;
            repetitive_amount_two_approvers?: unknown;
            repetitive_transfer_approval?: unknown;
            reporting_service?: unknown;
            telephone_services?: unknown;
            template_maintenance_amount_no_approver?: unknown;
            template_maintenance_amount_one_approver?: unknown;
            template_maintenance_amount_two_approvers?: unknown;
            template_maintenance_approval?: unknown;
        }
    }
}
/** @internal */
export type ServiceNowRestApiError = {
    detail: null | string;
    message: string;
};
/** @internal */
export type ServiceNowRestApiErrorResponse = {
    error: ServiceNowRestApiError;
    status: 'failure';
};
/**
 * Response to a ServiceNow REST API request made by calling `executeApiRequest` from a {@link ServiceNowConnection} object.
 *
 * @typeParam T - Type of the requested data (if relevant).
 *
 * @group Types
 */
export type ServiceNowRestApiResponse<T = unknown> = {
    /** Requested data returned from the REST API (if provided). */
    data?: T;
    /** Response HTTP status code. */
    status: number;
    /** Content type of the response data (if provided). */
    type?: string;
};
/** @internal */
export type ServiceNowRestApiResult<T> = {
    result: T;
};
